# Interface PlatformManagedObject

All Known Subinterfaces:
  `BufferPoolMXBean, ClassLoadingMXBean, CompilationMXBean, FlightRecorderMXBean, GarbageCollectorMXBean, GarbageCollectorMXBean, HotSpotDiagnosticMXBean, MemoryManagerMXBean, MemoryMXBean, MemoryPoolMXBean, OperatingSystemMXBean, OperatingSystemMXBean, PlatformLoggingMXBean, RuntimeMXBean, ThreadMXBean, ThreadMXBean, UnixOperatingSystemMXBean, VirtualThreadSchedulerMXBean`

public interface PlatformManagedObject
A platform managed object is a JMX MXBean for monitoring and managing a component in the Java platform. Each platform managed object has a unique object name for the platform MBeanServer access. All platform MXBeans will implement this interface.

Note: The platform MXBean interfaces (i.e. all subinterfaces of `PlatformManagedObject`) are implemented by the Java platform only. New methods may be added in these interfaces in future Java SE releases. In addition, this `PlatformManagedObject` interface is only intended for the management interfaces for the platform to extend but not for applications.

Since:
  1.7
See Also:
  - `ManagementFactory`

## Method Summary

Modifier and Type
Method
Description
`ObjectName`
`getObjectName()`
Returns an `ObjectName` instance representing the object name of this platform managed object.

## Method Details

### getObjectName

ObjectName getObjectName()
Returns an `ObjectName` instance representing the object name of this platform managed object.

Returns:
  an `ObjectName` instance representing the object name of this platform managed object.